org.keycloak.authorization.admin.representation

## Class PolicyEvaluationResponse.EvaluationResultRepresentation

- java.lang.Object
- - org.keycloak.authorization.admin.representation.PolicyEvaluationResponse.EvaluationResultRepresentation

- Enclosing class:
    PolicyEvaluationResponse

      public static class PolicyEvaluationResponse.EvaluationResultRepresentation
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EvaluationResultRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ScopeRepresentation>` | `getAllowedScopes()`
    `List<PolicyEvaluationResponse.PolicyResultRepresentation>` | `getPolicies()`
    `ResourceRepresentation` | `getResource()`
    `List<ScopeRepresentation>` | `getScopes()`
    `Decision.Effect` | `getStatus()`
    `void` | `setAllowedScopes(List<ScopeRepresentation> allowedScopes)`
    `void` | `setPolicies(List<PolicyEvaluationResponse.PolicyResultRepresentation> policies)`
    `void` | `setResource(ResourceRepresentation resource)`
    `void` | `setScopes(List<ScopeRepresentation> scopes)`
    `void` | `setStatus(Decision.Effect status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EvaluationResultRepresentation

          public EvaluationResultRepresentation()

  - ### Method Detail

    - #### setResource

          public void setResource(ResourceRepresentation resource)

    - #### getResource

          public ResourceRepresentation getResource()

    - #### setScopes

          public void setScopes(List<ScopeRepresentation> scopes)

    - #### getScopes

          public List<ScopeRepresentation> getScopes()

    - #### setPolicies

          public void setPolicies(List<PolicyEvaluationResponse.PolicyResultRepresentation> policies)

    - #### getPolicies

          public List<PolicyEvaluationResponse.PolicyResultRepresentation> getPolicies()

    - #### setStatus

          public void setStatus(Decision.Effect status)

    - #### getStatus

          public Decision.Effect getStatus()

    - #### setAllowedScopes

          public void setAllowedScopes(List<ScopeRepresentation> allowedScopes)

    - #### getAllowedScopes

          public List<ScopeRepresentation> getAllowedScopes()

Copyright © 2016 JBoss by Red Hat. All rights reserved.